export CUDA_VISIBLE_DEVICES=5,6

device='cuda'

models=(   
    PATH/TO/MODEL # Put your path here
)

for model in "${models[@]}"; do
    modelname=$(basename "$model")
    echo "Running model: $modelname"
    # Zero-shot evaluation
    bash hf_open_llm.sh $model arc_easy,winogrande 0 0shot-$modelname $device 64 --custom
    bash hf_open_llm.sh $model hellaswag 0 add0shot-$modelname $device 32 --custom

    # MBPP 3-shot
    bash hf_open_llm.sh $model mbpp 3 mbpp3shot-$modelname $device 16 --custom
done
